﻿using System.Data.Entity.ModelConfiguration;

namespace CodeFirst.DataAccess
{
    public class DestinationMap : EntityTypeConfiguration<CodeFirst.Model.Destination>
    {
        public DestinationMap()
        {
            this.Property(d => d.Name).IsRequired();  //不为空
            this.Property(d => d.Description).HasMaxLength(500);  //长度的500
            this.Property(d => d.Photo).HasColumnName("image");    //设置Photo列的类型为image

            //this.HasMany(d => d.Lodgings).WithRequired(l => l.Destination).Map(l => l.MapKey("DestinationId"));

        }
    }
}
