﻿using System.Data.Entity.ModelConfiguration;

namespace CodeFirst.DataAccess
{
    public class LodgingMap : EntityTypeConfiguration<CodeFirst.Model.Lodging>
    {
        public LodgingMap()
        {
            this.Property(l => l.Name).IsRequired().HasMaxLength(200);   //不为空、长度200
            this.Property(l => l.MilesFromNearestAirport).HasPrecision(8, 1);  //控制decimal精度 默认(18,1)

            this.HasRequired(d => d.Destination).WithMany(l => l.Lodgings).Map(l => l.MapKey("DestinationID"));

        }
    }
}
