﻿using System;
using System.ComponentModel.DataAnnotations;

namespace CodeFirst.Model
{
    /// <summary>
    /// 住宿特殊价格类（节假日等）
    /// </summary>
    public class InternetSpecial
    {
        public int InternetSpecialId { get; set; }
        public int Nights { get; set; }
        public decimal CostUSD { get; set; }
        public DateTime FromDate { get; set; }
        public DateTime ToDate { get; set; }

        //[ForeignKey("Accommodation")]
        public int AccommodationId { get; set; }
        //[ForeignKey("AccommodationId")]
        public Lodging Accommodation { get; set; }
    }
}
