﻿using System.Data.Entity.ModelConfiguration;

namespace CodeFirst.DataAccess
{
    public class InternetSpecialMap : EntityTypeConfiguration<CodeFirst.Model.InternetSpecial>
    {
        public InternetSpecialMap()
        {
            this.HasRequired(s => s.Accommodation)
                .WithMany(l => l.InternetSpecials)
                .HasForeignKey(s => s.AccommodationId);  //外键
            //如果实体类没定义AccommodationId，那么可以使用Map方法直接指定外键名：.Map(s => s.MapKey("AccommodationId"))
        }
    }
}
